/***************************************************************************
 *   Copyright (C) 2008 by potlaty   *
 *   potlaty@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _ARGS_
#define _ARGS_


#include <iostream>
#include <vector>
#include <string>
#include <cctype>
#include <stack>
#include <map>

#include "DataBase.h"
#include "Report.h"
#include "Check.h"
#include "Stime.h"
#include "user.h"
#include "defs.h"
#include "Log.h"
#include "IP.h"

using namespace std;

const int OptCount = 17;
const string Opt[OptCount] = {"-D", "-pl", "-c", "-u", "-n", "-ip", "-p", "-dl",
						  	  "-t", "-d", "-m", "-del", "-ls", "-en", "-dis", "-act", "-per"};
								  
class ARGS{
private:
	stack<string> argv;
	map<string, int> OptList;
	
public:
	ARGS ( const int argc, char *Argv[] );
	
	int Make();
};

#endif
