/***************************************************************************
 *   Copyright (C) 2008 by potlaty   *
 *   potlaty@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include <fstream>
#include "Log.h"

bool Debug()
{
	ifstream DebugFile;
	string s;
	
	s.append(DIR_PROGRAM);
 	s.append(FILE_LOG_MODE);
	
	DebugFile.open(s.c_str(), ios_base::in);
	if (DebugFile){
		getline(DebugFile, s);
		if (s == "0") return false; else return true;
	}
	DebugFile.close();
}

void SetDebugMode( int Mode )
{
	ofstream DebugFile;
	string s;
	
	s.append(DIR_PROGRAM);
	s.append(FILE_LOG_MODE);
	
	DebugFile.open(s.c_str(), ios_base::out);
	if (DebugFile){
		DebugFile << Mode << endl;
		DebugFile.close();
	}	
}

void WriteLog( string s )
{
	ofstream LogFile;
	string fname;
	Stime t;
	
	fname.append(DIR_PROGRAM);
	fname.append(FILE_LOG);
	
	LogFile.open(fname.c_str(), ios_base::app);
	if (LogFile){
		t.Refresh();
		LogFile << t.Str() << " " << GetTime() << ": ";
		LogFile << s << endl;
	}
	
	LogFile.close();
}
