/***************************************************************************
 *   Copyright (C) 2008 by potlaty   *
 *   potlaty@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* File to store users login, pass, ip */
#define FILE_CHAP_SECRETS "/etc/ppp/chap-secrets"

/* Active users list*/
#define FILE_ACTIVE "db/active"

/* Users list */
#define FILE_USERS "db/users"

/* File with ip pool */
#define FILE_IP_POOL "db/ip-pool"

/* Log file */
#define FILE_LOG "log/sbills.log"

/* Debug mode file 0-disable, 1-enable */
#define FILE_LOG_MODE "log/debug"

/* File containing Journal dirs */
#define FILE_JDIRS "db/j.dirs"

/* File containing active ifaces info */
#define FILE_IFACES "db/ifaces"

/* Temp file */
#define FILE_TEMP "db/temp"

/* File with iface statistic */
#define FILE_PROC "/proc/net/dev"


/* Statistic journal directory*/
#define DIR_JOURNAL "db/journal/"

/* PID files directory */
#define DIR_PID "/var/run/"

/* Program directory */
#define DIR_PROGRAM "/usr/lib/sbills/"

