/***************************************************************************
 *   Copyright (C) 2008 by potlaty   *
 *   potlaty@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _REPORT_
#define _REPORT_

#include <algorithm>
#include <iostream>
#include <iomanip>
#include <climits>
#include <sstream>
#include <fstream>
#include <string>

#include "DataBase.h"
#include "Table.h"
#include "Stime.h"
#include "user.h"
#include "IP.h"

using namespace std;

enum ReportData {Info, Error};

int Report( ReportData RD, const string& msg, ostream& out = cout );

int ReportUsersList( ostream& out = cout );
int ReportActiveList( ostream& out = cout );

struct DayTraffic{
	Stime tm;
	long long rx, tx;
};

int ReportPeriodAllTraffic( Stime&, Stime&, ostream& out = cout );
int ReportByDayPersTraffic( Stime&, Stime&, string&, ostream& out = cout );
int ReportByDayAllTraffic ( Stime&, Stime&, ostream& out = cout );

#endif
